if (WITH_RPM AND WITH_DEBIAN)
    set (CPACK_GENERATOR "DEB;RPM")
elseif (WITH_RPM AND NOT WITH_DEBIAN)
    set (CPACK_GENERATOR "RPM")
elseif (WITH_DEBIAN AND NOT WITH_RPM)
    set (CPACK_GENERATOR "DEB")
endif (WITH_RPM AND WITH_DEBIAN)

include (CPackDefaultOptions)

string (REPLACE "_" "-" CPACK_PACKAGE_VERSION ${vatsinator_VERSION})

if (“${CMAKE_SYSTEM_PROCESSOR}” STREQUAL “x86_64”)
    set (CPACK_DEBIAN_PACKAGE_ARCHITECTURE amd64)
    set (CPACK_RPM_PACKAGE_ARCHITECTURE x86_64)
elseif (“${CMAKE_SYSTEM_PROCESSOR}” STREQUAL “i686”)
    set (CPACK_DEBIAN_PACKAGE_ARCHITECTURE i386)
    set (CPACK_RPM_PACKAGE_ARCHITECTURE i686)
else (“${CMAKE_SYSTEM_PROCESSOR}” STREQUAL “x86_64”)
    set (CPACK_DEBIAN_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
    set (CPACK_RPM_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
endif (“${CMAKE_SYSTEM_PROCESSOR}” STREQUAL “x86_64”)

set (CPACK_DEBIAN_PACKAGE_NAME "vatsinator")
set (CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>=4.8), libqt4-gui (>=4.8), libqt4-opengl (>=4.8), libqt4-network (>=4.8)")
set (CPACK_DEBIAN_PACKAGE_SECTION "web")
set (CPACK_DEBIAN_PACKAGE_PRIORITY "extra")

set (CPACK_RPM_PACKAGE_RELEASE 1)
set (CPACK_RPM_PACKAGE_LICENSE GPLv3)
set (CPACK_RPM_PACKAGE_GROUP Applications/Internet)
set (CPACK_RPM_PACKAGE_VENDOR Vatsinator)
set (CPACK_RPM_PACKAGE_DESCRIPTION "An open-source Vatsim monitor")
set (CPACK_RPM_PACKAGE_REQUIRES "libqt4-core >= 4.8, libqt4-gui >= 4.8, libqt4-network >= 4.8, libqt4-opengl >= 4.8")

include (CPack)

